incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andre Fischer ...@a-w-f.de>
Subject Re: [BUILDBOT] build breakers
Date Fri, 29 Jun 2012 12:46:38 GMT
On 29.06.2012 11:23, Ariel Constenla-Haile wrote:
> Hi Tsutomu,
>
> On Fri, Jun 29, 2012 at 6:18 AM, Tsutomu Uchino <hanya.runo@gmail.com> wrote:
>>> Revision 1351981 broke rev. 1341713, now no patches are applied at all:
>>>
>>> make writeable...
>>> no patch needed...
>>> touch ./unxlngx6/misc/build/so_patched_so_serf
>>> mkdir ./unxlngx6/misc/build/serf-1.1.0/
>> I needed to enable sef-1.0.0.ldl.patch applied on Linux x86.
>
> yes, both patches are needed and were commented.
>
> .IF "$(OS)"=="MACOSX" || "$(OS)"=="FREEBSD" || "$(OS)"=="LINUX"
> # Do not link against expat.  It is not necessary (apr-util is already
> linked against it)
> # and does not work (we use a different expat library schema.)
> #PATCH_FILES+=$(TARFILE_NAME).mac.patch
> .ENDIF
>
> .IF "$(OS)"=="LINUX"
> # Add -ldl as last library so that the linker has no trouble resolving
> dependencies.
> #PATCH_FILES+=$(TARFILE_NAME).ldl.patch
> .ENDIF

I have reactivated the patches.  I used the opportunity to rename the 
patches:

serf-1.0.0.ld.patch -> serf-1.1.0.ld.patch
serf-1.1.0.mac.patch -> serf-1.1.0.libs.patch

-Andre

Mime
View raw message